Update Onboarding Settings
curl --request POST \
--url https://adhere-api.smartcomply.com/api/onboarding/settings \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"ivs": true,
"aml": true
}
'import requests
url = "https://adhere-api.smartcomply.com/api/onboarding/settings"
payload = {
"ivs": True,
"aml": True
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ivs: true, aml: true})
};
fetch('https://adhere-api.smartcomply.com/api/onboarding/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"message": "Authentication credentials were not provided."
}Intégration client
Modifier les paramètres d'intégration
Activez ou désactivez la vérification d’identité et le filtrage AML pour votre branche.
POST
/
api
/
onboarding
/
settings
Update Onboarding Settings
Utilisez cet endpoint pour contrôler quelles étapes s’exécutent lors de l’appel Vérifier le client. Les changements s’appliquent à toutes les demandes d’intégration suivantes de votre branche.
Vous pouvez modifier un ou les deux paramètres en un seul appel. Les champs omis conservent leur valeur actuelle.
ivs et aml sont tous deux activés par défaut. Désactiver ivs entraînera également l’ignorance du filtrage AML, car le filtrage dépend du renvoi d’un nom vérifié par la vérification d’identité.Endpoint
POST /api/onboarding/settings
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé API | Oui |
Content-Type | application/json | Oui |
Paramètres de corps
| Paramètre | Type | Requis | Description |
|---|---|---|---|
ivs | boolean | Non | Active ou désactive la vérification d’identité |
aml | boolean | Non | Active ou désactive le filtrage AML |
Exemple
curl -X POST https://adhere-api.smartcomply.com/api/onboarding/settings \
-H "x-access-token: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "aml": false }'
import requests
response = requests.post(
"https://adhere-api.smartcomply.com/api/onboarding/settings",
headers={"x-access-token": "YOUR_API_KEY"},
json={"aml": False},
)
print(response.json())
const response = await fetch("https://adhere-api.smartcomply.com/api/onboarding/settings", {
method: "POST",
headers: {
"x-access-token": "YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({ aml: false }),
});
const data = await response.json();
Réponse
string
"success" en cas de mise à jour réussie.string
"Settings saved"object
200 OK
{
"status": "success",
"message": "Settings saved",
"data": {
"ivs": true,
"aml": false
}
}
Réponses d’erreur
| Statut HTTP | Message | Cause |
|---|---|---|
401 | "Authorization token is missing" | Aucun en-tête x-access-token |
401 | "Authorization failed" | Jeton non reconnu ou expiré |
400 | "Invalid value for ivs" | La valeur doit être un booléen |
400 | "Invalid value for aml" | La valeur doit être un booléen |

